classification
Title: Write a text file explaining why Lib/test/data exists
Type: Stage:
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, brett.cannon, docs@python, dstanek, eric.araujo, georg.brandl, giampaolo.rodola, loewis, michael.foord, pitrou
Priority: low Keywords: easy, needs review, patch

Created on 2010-06-06 03:06 by brett.cannon, last changed 2010-12-05 23:32 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
README eric.araujo, 2010-06-07 17:10
Messages (8)
msg107176 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-06 03:06
The directory is empty by default as that's where some temporary files are put during testing. Should have a text file in there explaining this fact.
msg107270 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-07 17:10
Attaching a proposal.

I think the component is a grey area between tests and documentation, so I’d be for including this file in all four branches.
msg109218 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-04 14:12
Benjamin, is it too late?
msg110607 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-17 22:17
Adding people listed for the testing interest area in the maintainers file.
msg112206 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-07-31 21:12
Added in r83362.
msg120595 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-06 07:40
By the way, is this file picked up by Tools/msi/msi.py?
msg123439 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-05 23:14
Temporarily reopening so that Martin can decide whether he wants to add Lib/test/data/README to msi.py
msg123440 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-12-05 23:32
All README files are automatically packages, and so is this one.
History
Date User Action Args
2010-12-05 23:32:42loewissetstatus: open -> closed

messages: + msg123440
2010-12-05 23:14:54eric.araujosetstatus: closed -> open

messages: + msg123439
2010-11-06 07:40:57eric.araujosetnosy: + loewis

messages: + msg120595
versions: - Python 2.6, Python 3.1, Python 2.7
2010-07-31 21:12:25georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112206

resolution: fixed
2010-07-31 18:25:40dstaneksetnosy: + dstanek
2010-07-17 22:17:11eric.araujosetnosy: + pitrou, giampaolo.rodola, michael.foord
messages: + msg110607
2010-07-04 14:12:30eric.araujosetnosy: + benjamin.peterson

messages: + msg109218
versions: + Python 2.6, Python 3.1, Python 2.7, Python 3.2
2010-06-07 17:10:24eric.araujosetfiles: + README

nosy: + docs@python, eric.araujo
messages: + msg107270

keywords: + patch, needs review
2010-06-06 03:06:18brett.cannoncreate